| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# GslErrorHandlers Namespace Reference

## Detailed Description

The collection of Error Handlers for GSL.

Author:
  Vanya Belyaev Ivan.Belyaev@itep.ru

Date:
  29/04/2002

## Functions
void | ignoreTheError (const char *reason, const char *file, int line, int code)
void | handleTheError (const char *reason, const char *file, int line, int code)
void | throwException (const char *reason, const char *file, int line, int code)
void | ignoreTheError (const char *, const char *, int, int)
void | handleTheError (const char *reason, const char *file, int line, int code)
void | throwException (const char *reason, const char *file, int line, int code)

## Function Documentation

void GslErrorHandlers::handleTheError | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code |
| ) |  |  |

Definition at line 63 of file GslErrorHandlers.cpp.

References GaudiGSL::gslSvc(), and IGslSvc::handle().

Referenced by GslSvc::initialize().

    00067 {
    00068   // het the GSL service
    00069   const IGslSvc* svc = GaudiGSL::gslSvc() ;
    00070   // handle the error if service is valid
    00071   if( 0 != svc ) { svc->handle( GslError( reason , file , line , code ) ) ; }
    00072 };

void GslErrorHandlers::handleTheError | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code |
| ) |  |  |

Definition at line 63 of file GslErrorHandlers.cpp.

References GaudiGSL::gslSvc(), and IGslSvc::handle().

Referenced by GslSvc::initialize().

    00067 {
    00068   // het the GSL service
    00069   const IGslSvc* svc = GaudiGSL::gslSvc() ;
    00070   // handle the error if service is valid
    00071   if( 0 != svc ) { svc->handle( GslError( reason , file , line , code ) ) ; }
    00072 };

void GslErrorHandlers::ignoreTheError | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Definition at line 40 of file GslErrorHandlers.cpp.

Referenced by GslSvc::initialize().

    00044 {};

void GslErrorHandlers::ignoreTheError | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code |
| ) |  |  |

Definition at line 40 of file GslErrorHandlers.cpp.

Referenced by GslSvc::initialize().

    00044 {};

void GslErrorHandlers::throwException | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code |
| ) |  |  |

Definition at line 91 of file GslErrorHandlers.cpp.

References StatusCode::FAILURE.

Referenced by GslSvc::initialize().

    00095 {
    00096   std::string error( " GSL ErrorCode=" );
    00097   static char s_aux[512];
    00098   error += std::string( s_aux  , s_aux  + sprintf( s_aux , "%d" , code  ) );
    00099   error += ": '"   ;
    00100   error += reason  ;
    00101   error += "' in the file '" ;
    00102   error += file    ;
    00103   error += "' at the line "  ;
    00104   error += std::string( s_aux  , s_aux  + sprintf( s_aux , "%d" , line ) );
    00105   error += "'"     ;
    00106   throw GaudiException( error , "*GLS Error*" , StatusCode::FAILURE );
    00107 };

void GslErrorHandlers::throwException | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code |
| ) |  |  |

Definition at line 91 of file GslErrorHandlers.cpp.

References StatusCode::FAILURE.

Referenced by GslSvc::initialize().

    00095 {
    00096   std::string error( " GSL ErrorCode=" );
    00097   static char s_aux[512];
    00098   error += std::string( s_aux  , s_aux  + sprintf( s_aux , "%d" , code  ) );
    00099   error += ": '"   ;
    00100   error += reason  ;
    00101   error += "' in the file '" ;
    00102   error += file    ;
    00103   error += "' at the line "  ;
    00104   error += std::string( s_aux  , s_aux  + sprintf( s_aux , "%d" , line ) );
    00105   error += "'"     ;
    00106   throw GaudiException( error , "*GLS Error*" , StatusCode::FAILURE );
    00107 };